Bug 854 - gcc-2.7.2.3-14 is improperly configured for C++ source files
gcc-2.7.2.3-14 is improperly configured for C++ source files
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
5.2
i386 Linux
low Severity low
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-01-16 21:24 EST by treuhaft
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-01-17 09:24:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description treuhaft 1999-01-16 21:24:58 EST
/usr/bin/gcc (from gcc-2.7.2.3-14) knows to invoke cc1plus
when compiling C++ source files (namely, files that end in
".cc").  However, cc1plus is not included in this RPM, with
the result that "gcc main.cc" responds with

	gcc: installation problem, cannot exec `cc1plus': No such
file or directory

I can compile successfully with "g++ main.cc", but the
behavior and installation of /usr/bin/gcc are, by all
rational standards, broken.
Comment 1 Jeff Johnson 1999-01-17 09:24:59 EST
gcc is supplied with Red Hat 5.2 mainly for the purposes of
building 2.0.x kernels. C++ development should use egcs for
C++, and programs that mix CC and C++ code should use egcs
everywhere.

Note You need to log in before you can comment on or make changes to this bug.